New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

renderPlotly fails if no `library(plotly)` is used #852

Closed
zeehio opened this Issue Jan 18, 2017 · 0 comments

Comments

Projects
None yet
1 participant
@zeehio
Copy link
Contributor

zeehio commented Jan 18, 2017

The following shiny app gives an error if there is no library(plotly):

# This line has to be uncommented, otherwise the error appears
# library(plotly)

# Define UI for application:
ui <- shiny::fixedPage(plotly::plotlyOutput("distPlot"))

# Define server logic:
server <- function(input, output) {
   output$distPlot <- plotly::renderPlotly({
      plotly::plot_ly(x = 1:10, y = 11:20,
                      type = "scatter", mode = "lines")
   })
}

# Run the application 
shiny::shinyApp(ui = ui, server = server)

imatge

It seems the error is caused by call("ggplotly",...), but I don't know how to fix it.

@cpsievert cpsievert closed this in 1bab7f4 Jan 18, 2017

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment